#include <iostream>
using namespace std;
int main()
{
    int N, L, i=0;
    cin>>N>>L;
    while(i<N)
    {
        int x;
        cin>>x;
        if(x<=L) break;
        i++;
    }
    if(i==N) cout<<-1;
    else cout<<i+1;
    return 0;
}